#ifndef CDIALOG_SETUP_H
#define CDIALOG_SETUP_H

#include <QDialog>
#include <QTimer>

#include "csql_utils.h"


namespace Ui {
class cDialog_Setup;
}

class cDialog_Setup : public QDialog
{
    Q_OBJECT

public:
    explicit cDialog_Setup(QWidget *parent = 0);
    ~cDialog_Setup();


private slots:
    void on_pushButton_2_clicked();

    void on_pushButton_clicked();

    void on_pushButton_3_clicked();

    void load_text_boxs();

public:

    void display_blank_input_error();

    cSQL_Utils *csql;  //must be set by caller before loading view

    QString sFarm;
    QString sClient;
    QString sField;
    QString sNum_rows;
    QString sRow_width;

    QString sWindCondition;

private:
    Ui::cDialog_Setup *ui;

    void save_client_info_to_sql();


    QTimer *timer;

};

#endif // CDIALOG_SETUP_H
